Search documents

Search documents with filtering and pagination.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example:

{
    "startRow": 0,
    "endRow": 10,
    "sorts": [
        {
            "dir": "desc",
            "field": "createdDate"
        }
    ],
    "filtersOperator": "and",
    "filters": [
        {
            "field": "typeId",
            "operator": "isAnyOf",
            "value": [
                "5f72bf7a-de42-45e6-bc25-d96cf2512e5d"
            ]
        },
        {
            "field": "name",
            "operator": "contains",
            "value": "בדיקה"
        },
        {
            "field": "customerId",
            "value": "2d037b9f-350d-4069-9a19-99b4f67dbf3a",
            "operator": "equals"
        }
    ]
}
Body Params
sorts
array of objects

List of sort definitions for search results

sorts
string
enum

Operator to combine multiple filters (defaults to 'and' if not specified)

Allowed:
filters
array of objects

List of filter definitions for search criteria

filters
int32

Starting row index for pagination (0-based) (defaults to 0 if not specified)

int32

Ending row index for pagination (exclusive). The page size (i.e. endRow - startRow) must be less than or equals 50. (defaults to 50 if not specified)

boolean
boolean
boolean
deprecated
boolean
deprecated
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*